> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Tạo video (định dạng Omni và Veo)

> Dòng này hỗ trợ định dạng tạo video OpenAI (xem chi tiết tại liên kết [Định dạng tương thích với Sora tạo video](/api-reference/vi/tao-video-dinh-dang-tuong-thich-sora/tao-video)).

Trang chuyên đề của giao diện này dùng để giải thích các định dạng video liên quan đến Omni và Veo, cũng như trạng thái hỗ trợ của cổng hiện tại đối với định dạng gốc của Veo.

Hiện tại, khi sử dụng dòng Veo để công khai, vui lòng dùng chế độ tương thích OpenAI Sora: `POST /v1/videos`.

Đường dẫn dành riêng cho chế độ nguyên bản của Google là: `POST /v1beta/models/{model}:predictLongRunning`. Hiện cổng chưa kết nối với chuỗi phân phối tác vụ nguyên bản của Veo, vì vậy hiện chưa hỗ trợ gọi theo request body nguyên bản `instances/parameters`.

Lưu ý: `gemini-omni` Điểm cuối mà mô hình hỗ trợ là định dạng tương thích Sora `POST /v1/videos` hoặc định dạng Seedance `POST /api/v3/contents/generations/tasks`; không hỗ trợ điểm cuối Google gốc Veo `predictLongRunning` trên trang này.



## OpenAPI

````yaml api-reference/vi/openapi.json POST /v1beta/models/{model}:predictLongRunning
openapi: 3.0.0
info:
  title: Tài liệu tham khảo API của 出海营
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: Định dạng OpenAI (Chat)
  - name: Định dạng OpenAI (Responses)
  - name: Định dạng Gemini cho tạo ảnh
  - name: Tạo hình ảnhOpenAI định dạng DALL-E
  - name: Lấy danh sách mô hình
  - name: Tạo video HappyHorse và Wan
  - name: Định dạngKling tạo video
  - name: Định dạng Video Generation Omni và Veo
  - name: Tạo video Seedance
  - name: Định dạng tương thích Sora cho tạo video
  - name: Tạo video Vidu
  - name: Định dạng tác vụ tạo nhạc
paths:
  /v1beta/models/{model}:predictLongRunning:
    post:
      tags:
        - Định dạng Video Generation Omni và Veo
      summary: Tạo video (định dạng Omni và Veo)
      description: >-
        Dòng này hỗ trợ định dạng tạo video OpenAI (xem chi tiết tại liên kết
        [Định dạng tương thích với Sora tạo
        video](/api-reference/vi/tao-video-dinh-dang-tuong-thich-sora/tao-video)).


        Trang chuyên đề của giao diện này dùng để giải thích các định dạng video
        liên quan đến Omni và Veo, cũng như trạng thái hỗ trợ của cổng hiện tại
        đối với định dạng gốc của Veo.


        Hiện tại, khi sử dụng dòng Veo để công khai, vui lòng dùng chế độ tương
        thích OpenAI Sora: `POST /v1/videos`.


        Đường dẫn dành riêng cho chế độ nguyên bản của Google là: `POST
        /v1beta/models/{model}:predictLongRunning`. Hiện cổng chưa kết nối với
        chuỗi phân phối tác vụ nguyên bản của Veo, vì vậy hiện chưa hỗ trợ gọi
        theo request body nguyên bản `instances/parameters`.


        Lưu ý: `gemini-omni` Điểm cuối mà mô hình hỗ trợ là định dạng tương
        thích Sora `POST /v1/videos` hoặc định dạng Seedance `POST
        /api/v3/contents/generations/tasks`; không hỗ trợ điểm cuối Google gốc
        Veo `predictLongRunning` trên trang này.
      operationId: create_veo3_google_native_task
      parameters:
        - name: model
          in: path
          required: true
          schema:
            type: string
            example: veo3.1-fast
            enum:
              - veo3
              - veo3-fast
              - veo3-fast-frames
              - veo3-frames
              - veo3-pro
              - veo3-pro-frames
              - veo3.1
              - veo3.1-4k
              - veo3.1-components
              - veo3.1-fast
              - veo3.1-pro
              - veo3.1-pro-4k
          description: Veo Tên mô hình.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - instances
              properties:
                instances:
                  type: array
                  minItems: 1
                  items:
                    type: object
                    properties:
                      prompt:
                        type: string
                        example: A cinematic aerial shot of a modern city at sunrise
                        description: Tạo từ gợi ý
                      referenceImages:
                        type: array
                        description: >-
                          Tùy chọn. 1~3 hình ảnh tham chiếu, sử dụng cấu trúc
                          `inlineData` gốc của Google hoặc URI tệp.
                        items:
                          type: object
                          properties:
                            image:
                              type: object
                              properties:
                                inlineData:
                                  type: object
                                  properties:
                                    mimeType:
                                      type: string
                                      example: image/png
                                    data:
                                      type: string
                                      example: BASE64_IMAGE_DATA
                            referenceType:
                              type: string
                              example: asset
                parameters:
                  type: object
                  properties:
                    aspectRatio:
                      type: string
                      enum:
                        - '16:9'
                        - '1:1'
                        - '9:16'
                      default: '16:9'
                    durationSeconds:
                      type: integer
                      enum:
                        - 5
                        - 6
                        - 8
                        - 10
                      default: 5
                    resolution:
                      type: string
                      example: 720p
            example:
              instances:
                - prompt: A cinematic aerial shot of a modern city at sunrise
                  referenceImages:
                    - image:
                        inlineData:
                          mimeType: image/png
                          data: BASE64_IMAGE_DATA
                      referenceType: asset
              parameters:
                aspectRatio: '16:9'
                durationSeconds: 5
                resolution: 720p
      responses:
        '200':
          description: >-
            Cấu trúc phản hồi thành công đang được bảo lưu. Hiện tại chỉ dùng để
            mô tả giao thức, không hỗ trợ gọi thực tế.
          content:
            application/json:
              schema:
                type: object
                required:
                  - name
                properties:
                  name:
                    type: string
                    example: models/veo3.1-fast/operations/abc123
                    description: operation name, dùng để truy vấn trạng thái sau này.
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Sử dụng xác thực Bearer Token.
        Định dạng: `Authorization: Bearer sk-xxxxxx`

````